-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
M.type = "auxiliary"
M.relevantDevice = nil

local htmlTexture = require("htmlTexture")

local gaugesScreenName = nil
local htmlPath = nil
local jbeamNumber = nil

local function updateGFX(dt)

end

local function reset()
  local data = {}
  data.policeRoofNumber = jbeamNumber or math.random (11, 999)
  htmlTexture.call(gaugesScreenName, "updateData", data)
end

local function init(jbeamData)
	gaugesScreenName = jbeamData.materialName
	htmlPath = jbeamData.htmlPath
	local width = jbeamData.textureWidth or 1024
	local height = jbeamData.textureHeight or 1024
	local updateFPS = 1
	jbeamNumber = jbeamData.number

    htmlTexture.create(gaugesScreenName, htmlPath, width, height, updateFPS, "automatic")
	reset()
end

M.init = init
M.reset = reset
M.updateGFX = updateGFX

return M
