-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}
M.type = "auxiliary"

local function init()
  
  local parts
  if not partCondition.getConditions() then 
    partCondition.initConditions() 
  end
  parts = partCondition.getConditions()
  for partName in pairs(parts) do
    partCondition.setPartMeshColor(partName, math.random(255), math.random(255), math.random(255), 1, math.random(255), math.random(255), math.random(255), 1, math.random(255), math.random(255), math.random(255), 1)
  end
  
end

-- public interface
M.init      = init

return M
