-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}
M.type = "auxiliary"

local spareWheel


local function reset(jbeamData)

end


local function init(jbeamData)

    for _, wd in ipairs(wheels.wheelRotators) do
      if wd.name == "spare" then 
	    print('spare wheel found')
	    spareWheel = wd 
	  end
	end
	
end


local function updateGFX(dt)

end


local function updateWheelsIntermediate(dt)

   	if not spareWheel then return end
	spareWheel.desiredBrakingTorque = 10000
   
end


-- public interface
M.init = init
M.reset = reset
M.updateGFX = updateGFX
M.updateWheelsIntermediate = updateWheelsIntermediate

return M