-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function onReset()
  electrics.values['doorFL'] = 0
  electrics.values['doorFL_input'] = 0
  electrics.values['doorFR'] = 0
  electrics.values['doorFR_input'] = 0
end

local function updateGFX(dt) -- open or close doors, will reset on vehicle reset
  electrics.values['doorFL'] = electrics.values['doorFL_input']
  electrics.values['doorFR'] = electrics.values['doorFR_input']
end

-- public interface
M.onInit    = onReset
M.onReset   = onReset
M.updateGFX = updateGFX

return M
